Subject: bug#21518: 24.5; vc-diff opens buffer instead of printing message when no changes

From: Mark Oteiza <[email-masked]>
Date: Sat, 19 Sep 2015 10:51:53 -0400

In 24.x, doing vc-diff in a buffer for a file with no changes would
print a message "No changes between working revision and workfile". Now
in 25, vc-diff opens a buffer whose contents are the aforementioned
message. This requires the user to quit the window, which should be unnecessary.